import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, Input } from '@angular/core';
import * as i5 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { GetPipe } from './eherve-angular-material-datatable-get.pipe-DAIsow8j.mjs';
import { TransformPipe } from './eherve-angular-material-datatable-transform.pipe-BOmcXXZU.mjs';

/** @format */
class CellCheckboxValueComponent {
    column;
    row;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellCheckboxValueComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.4", type: CellCheckboxValueComponent, isStandalone: true, selector: "lib-cell-checkbox-value", inputs: { column: "column", row: "row" }, ngImport: i0, template: "<!-- @format -->\n\n@let value = row | get: column.property | transform: row : column;\n@if (value === false) {\n  <mat-icon>check_box_outline_blank</mat-icon>\n} @else if (value === true) {\n  <mat-icon>check_box</mat-icon>\n}\n", styles: ["mat-icon{color:currentColor;padding:8px;box-sizing:content-box}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "pipe", type: GetPipe, name: "get" }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "pipe", type: TransformPipe, name: "transform" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellCheckboxValueComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-cell-checkbox-value', imports: [CommonModule, GetPipe, MatIconModule, TransformPipe], template: "<!-- @format -->\n\n@let value = row | get: column.property | transform: row : column;\n@if (value === false) {\n  <mat-icon>check_box_outline_blank</mat-icon>\n} @else if (value === true) {\n  <mat-icon>check_box</mat-icon>\n}\n", styles: ["mat-icon{color:currentColor;padding:8px;box-sizing:content-box}\n"] }]
        }], propDecorators: { column: [{
                type: Input
            }], row: [{
                type: Input
            }] } });

export { CellCheckboxValueComponent };
//# sourceMappingURL=eherve-angular-material-datatable-cell-checkbox-value.component-DqbkIJSP.mjs.map
