import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { DatatableSearchAutocompleteColumn, DatatableSearchListOption } from '../../types/datatable-column.type';
import * as i0 from "@angular/core";
export declare class HeaderAutocompleteFilterComponent<Record> implements AfterViewInit, OnDestroy, ControlValueAccessor {
    column: DatatableSearchAutocompleteColumn<Record>;
    options: DatatableSearchListOption[];
    hasMore: boolean;
    searching: boolean;
    input: ElementRef<HTMLInputElement>;
    control: FormControl<any>;
    selectControl: FormControl<any>;
    onChange: () => void;
    onTouched: () => void;
    private filter$;
    private nextPage$;
    private injector;
    private changeDetectorRef;
    private subsink;
    writeValue: (value: any) => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    loadMore(intersect: boolean): void;
    focus(): void;
    filter(): void;
    private buildOptions;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderAutocompleteFilterComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderAutocompleteFilterComponent<any>, "lib-header-autocomplete-filter", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
