import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl, FormGroup } from '@angular/forms';
import { DatatableSearchDurationColumn } from '../../types/datatable-column.type';
import { OPERATOR } from '../operator-select/operator-select.component';
import { TIME_UNIT } from '../time-unit-select/time-unit-select.component';
import * as i0 from "@angular/core";
export declare class HeaderDurationFilterComponent<Record> implements OnInit, AfterViewInit, OnDestroy, ControlValueAccessor {
    column: DatatableSearchDurationColumn<Record>;
    control: FormControl<any>;
    selectControl: FormControl<number | null | undefined>;
    rangeGroup: FormGroup<{
        start: FormControl<number | null | undefined>;
        end: FormControl<number | null | undefined>;
    }>;
    operatorControl: FormControl<OPERATOR | null>;
    timeUnitControl: FormControl<TIME_UNIT | null>;
    onChange: () => void;
    onTouched: () => void;
    private injector;
    private changeDetectorRef;
    private subsink;
    writeValue: (value: any) => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderDurationFilterComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderDurationFilterComponent<any>, "lib-header-duration-filter", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
