import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { DatatableSearchNumberColumn } from '../../types/datatable-column.type';
import * as i0 from "@angular/core";
export declare class HeaderNumberFilterComponent<Record> implements AfterViewInit, OnDestroy, ControlValueAccessor {
    column: DatatableSearchNumberColumn<Record>;
    control: FormControl<any>;
    selectControl: FormControl<any>;
    operatorControl: FormControl<string | null>;
    onChange: () => void;
    onTouched: () => void;
    private injector;
    private changeDetectorRef;
    private subsink;
    writeValue: (value: any) => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderNumberFilterComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderNumberFilterComponent<any>, "lib-header-number-filter", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
