import { AfterViewInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export type OPERATOR = '=' | '>' | '≥' | '<' | '≤' | '<>' | '≤≥';
export declare class OperatorSelectComponent implements AfterViewInit, ControlValueAccessor {
    set setDisableRange(disableRange: any);
    disableRange: boolean;
    operators: OPERATOR[];
    isOpen: boolean;
    control?: FormControl<any>;
    onChange: () => void;
    onTouched: () => void;
    private injector;
    private changeDetectorRef;
    writeValue: () => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngAfterViewInit(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OperatorSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OperatorSelectComponent, "lib-operator-select", never, { "setDisableRange": { "alias": "disableRange"; "required": false; }; }, {}, never, never, true, never>;
}
