import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, Input } from '@angular/core';
import { MatIconModule } from '@angular/material/icon';
import { g as get, d as duration } from './eherve-angular-material-datatable-eherve-angular-material-datatable-PWxHXOMs.mjs';

/** @format */
class CellDurationValueComponent {
    column;
    set setRow(row) {
        this.row = row;
        this.value = get(this.row, this.column.property);
        if (typeof this.column.transform === 'function') {
            this.value = this.column.transform(this.value, this.row);
        }
        this.duration = duration(this.value, this.column);
    }
    row;
    value;
    duration;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellDurationValueComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.4", type: CellDurationValueComponent, isStandalone: true, selector: "lib-cell-duration-value", inputs: { column: "column", setRow: ["row", "setRow"] }, ngImport: i0, template: "<!-- @format -->\n\n@if (duration) {\n  {{ duration }}\n}\n", styles: [""], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "ngmodule", type: MatIconModule }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellDurationValueComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-cell-duration-value', imports: [CommonModule, MatIconModule], template: "<!-- @format -->\n\n@if (duration) {\n  {{ duration }}\n}\n" }]
        }], propDecorators: { column: [{
                type: Input
            }], setRow: [{
                type: Input,
                args: ['row']
            }] } });

export { CellDurationValueComponent };
//# sourceMappingURL=eherve-angular-material-datatable-cell-duration-value.component-BTQ-73lT.mjs.map
