import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i0 from '@angular/core';
import { Component, Input } from '@angular/core';
import { MatLabel } from '@angular/material/form-field';
import * as i5 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import { GetPipe } from './eherve-angular-material-datatable-get.pipe-DAIsow8j.mjs';
import { S as SelectOptionPipe, a as SafeHtmlPipe } from './eherve-angular-material-datatable-eherve-angular-material-datatable-PWxHXOMs.mjs';
import { TransformPipe } from './eherve-angular-material-datatable-transform.pipe-BOmcXXZU.mjs';

/** @format */
class CellSelectValueComponent {
    column;
    row;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellSelectValueComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
    static ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "17.0.0", version: "19.0.4", type: CellSelectValueComponent, isStandalone: true, selector: "lib-cell-select-value", inputs: { column: "column", row: "row" }, ngImport: i0, template: "<!-- @format -->\n\n@let options = $any(column.options | async);\n@let value = row | get: column.property | transform: row : column;\n\n@if (column.multiple) {\n  <div id=\"options\">\n    @for (v of value; track v) {\n      <ng-container *ngTemplateOutlet=\"optionTmpl; context: { value: v }\"></ng-container>\n    }\n  </div>\n} @else {\n  <ng-container *ngTemplateOutlet=\"optionTmpl; context: { value }\"></ng-container>\n}\n\n<ng-template #optionTmpl let-value=\"value\">\n  @let option = value | selectOption: options;\n  @if (option) {\n    <div class=\"option\">\n      @if (option.icon) {\n        <mat-icon [style.color]=\"option.iconColor\" [style.margin-right.px]=\"8\">\n          {{ option.icon }}\n        </mat-icon>\n      }\n      <mat-label [style.color]=\"option.color\" [innerHTML]=\"option.name | safeHtml\"></mat-label>\n    </div>\n  } @else {\n    {{ value }}\n  }\n</ng-template>\n", styles: [".option{display:flex;box-sizing:border-box;place-content:center start;align-items:center;flex-direction:row;padding:4px}mat-icon,mat-label{color:currentColor}:host-context(tr.has-click:hover) mat-icon,:host-context(tr.has-click:hover) mat-label{color:var(--ngx-mat-datatable-hover-color, var(--mat-sys-on-primary))!important}.options{display:flex;box-sizing:border-box;place-content:start start;align-items:center;flex-direction:row;flex-wrap:wrap}\n"], dependencies: [{ kind: "ngmodule", type: CommonModule }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: SelectOptionPipe, name: "selectOption" }, { kind: "pipe", type: GetPipe, name: "get" }, { kind: "ngmodule", type: MatIconModule }, { kind: "component", type: i5.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: MatLabel, selector: "mat-label" }, { kind: "pipe", type: TransformPipe, name: "transform" }, { kind: "pipe", type: SafeHtmlPipe, name: "safeHtml" }] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: CellSelectValueComponent, decorators: [{
            type: Component,
            args: [{ selector: 'lib-cell-select-value', imports: [CommonModule, SelectOptionPipe, GetPipe, MatIconModule, MatLabel, TransformPipe, SafeHtmlPipe], template: "<!-- @format -->\n\n@let options = $any(column.options | async);\n@let value = row | get: column.property | transform: row : column;\n\n@if (column.multiple) {\n  <div id=\"options\">\n    @for (v of value; track v) {\n      <ng-container *ngTemplateOutlet=\"optionTmpl; context: { value: v }\"></ng-container>\n    }\n  </div>\n} @else {\n  <ng-container *ngTemplateOutlet=\"optionTmpl; context: { value }\"></ng-container>\n}\n\n<ng-template #optionTmpl let-value=\"value\">\n  @let option = value | selectOption: options;\n  @if (option) {\n    <div class=\"option\">\n      @if (option.icon) {\n        <mat-icon [style.color]=\"option.iconColor\" [style.margin-right.px]=\"8\">\n          {{ option.icon }}\n        </mat-icon>\n      }\n      <mat-label [style.color]=\"option.color\" [innerHTML]=\"option.name | safeHtml\"></mat-label>\n    </div>\n  } @else {\n    {{ value }}\n  }\n</ng-template>\n", styles: [".option{display:flex;box-sizing:border-box;place-content:center start;align-items:center;flex-direction:row;padding:4px}mat-icon,mat-label{color:currentColor}:host-context(tr.has-click:hover) mat-icon,:host-context(tr.has-click:hover) mat-label{color:var(--ngx-mat-datatable-hover-color, var(--mat-sys-on-primary))!important}.options{display:flex;box-sizing:border-box;place-content:start start;align-items:center;flex-direction:row;flex-wrap:wrap}\n"] }]
        }], propDecorators: { column: [{
                type: Input
            }], row: [{
                type: Input
            }] } });

export { CellSelectValueComponent };
//# sourceMappingURL=eherve-angular-material-datatable-cell-select-value.component-DfQ0N8Ss.mjs.map
