import * as i0 from '@angular/core';
import { Pipe } from '@angular/core';

/** @format */
class TransformPipe {
    transform(value, row, column) {
        if (typeof column.transform === 'function') {
            return column.transform(value, row);
        }
        return value;
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: TransformPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
    static ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "19.0.4", ngImport: i0, type: TransformPipe, isStandalone: true, name: "transform" });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.0.4", ngImport: i0, type: TransformPipe, decorators: [{
            type: Pipe,
            args: [{ name: 'transform' }]
        }] });

export { TransformPipe };
//# sourceMappingURL=eherve-angular-material-datatable-transform.pipe-BOmcXXZU.mjs.map
