import { AfterViewInit, OnDestroy } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { DatatableSearchCheckboxColumn } from '../../types/datatable-column.type';
import * as i0 from "@angular/core";
export declare class HeaderCheckboxFilterComponent<Record> implements AfterViewInit, OnDestroy, ControlValueAccessor {
    column: DatatableSearchCheckboxColumn<Record>;
    control: FormControl<any>;
    selectControl: FormControl<any>;
    onChange: () => void;
    onTouched: () => void;
    private injector;
    private changeDetectorRef;
    private subsink;
    writeValue: (value: any) => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderCheckboxFilterComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderCheckboxFilterComponent<any>, "lib-header-checkbox-filter", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
