import { AfterViewInit, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl, FormGroup } from '@angular/forms';
import { DatatableSearchDateColumn } from '../../types/datatable-column.type';
import { OPERATOR } from '../operator-select/operator-select.component';
import * as i0 from "@angular/core";
export declare class HeaderDateFilterComponent<Record> implements OnInit, AfterViewInit, OnDestroy, ControlValueAccessor {
    column: DatatableSearchDateColumn<Record>;
    control: FormControl<any>;
    selectControl: FormControl<Date | null | undefined>;
    rangeGroup: FormGroup<{
        from: FormControl<Date | null | undefined>;
        to: FormControl<Date | null | undefined>;
    }>;
    operatorControl: FormControl<OPERATOR | null>;
    onChange: () => void;
    onTouched: () => void;
    private readonly _adapter;
    private readonly _intl;
    private readonly _locale;
    private injector;
    private changeDetectorRef;
    private subsink;
    writeValue: (value: any) => void;
    registerOnChange(onChange: any): void;
    registerOnTouched(onTouched: any): void;
    ngOnInit(): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    private buildValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderDateFilterComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderDateFilterComponent<any>, "lib-header-date-filter", never, { "column": { "alias": "column"; "required": false; }; }, {}, never, never, true, never>;
}
